VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Vcenter::Vm::Hardware::Adapter::Sata::CreateSpec Class Reference
Inheritance diagram for Com::Vmware::Vcenter::Vm::Hardware::Adapter::Sata::CreateSpec:

## Avaliable Methods
public method | get_bus ()
public method | set_pci_slot_number ()
public method | get_pci_slot_number ()
public method | set_type ()
public method | set_bus ()
public method | get_type ()
public method | new ()

## Detailed Description

The `Com::Vmware::Vcenter::Vm::Hardware::Adapter::Sata::CreateSpec` class provides a specification for the configuration of a newly-created virtual SATA adapter.

## Member Function Documentation

public method Com::Vmware::Vcenter::Vm::Hardware::Adapter::Sata::CreateSpec::get_bus | ( |  | ) |

Gets the value of 'bus' property.

Return values

  bus | - The current value of the field. SATA bus number. Optional#

Code:
click to view
# Number of lines of code in get_bus: 4
sub get_bus {
my ($self, %args) = @_;
return $self->{'bus'};
}

public method Com::Vmware::Vcenter::Vm::Hardware::Adapter::Sata::CreateSpec::get_pci_slot_number | ( |  | ) |

Gets the value of 'pci_slot_number' property.

Return values

  pci_slot_number | - The current value of the field. Address of the SATA adapter on the PCI bus. Optional#

Code:
click to view
# Number of lines of code in get_pci_slot_number: 4
sub get_pci_slot_number {
my ($self, %args) = @_;
return $self->{'pci_slot_number'};
}

public method Com::Vmware::Vcenter::Vm::Hardware::Adapter::Sata::CreateSpec::get_type | ( |  | ) |

Gets the value of 'type' property.

Return values

  type | - The current value of the field. Adapter type. Optional#

Code:
click to view
# Number of lines of code in get_type: 4
sub get_type {
my ($self, %args) = @_;
return $self->{'type'};
}

public method Com::Vmware::Vcenter::Vm::Hardware::Adapter::Sata::CreateSpec::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Vcenter::Vm::Hardware::Adapter::Sata::CreateSpec structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 20
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{type} = $args{'type'};
$self->{bus} = $args{'bus'};
$self->{pci_slot_number} = $args{'pci_slot_number'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Vcenter::Vm::Hardware::Adapter::Sata::CreateSpec');
$self->set_binding_name('name' => 'com.vmware.vcenter.vm.hardware.adapter.sata.create_spec');
$self->set_binding_field('key' => 'type', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vcenter::Vm::Hardware::Adapter', 'type_name' => 'Sata::Type')));
$self->set_binding_field('key' => 'bus', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::LongType()));
$self->set_binding_field('key' => 'pci_slot_number', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::LongType()));
bless $self, $class;
return $self;
}

public method Com::Vmware::Vcenter::Vm::Hardware::Adapter::Sata::CreateSpec::set_bus | ( |  | ) |

Sets the given value for 'bus' property.

Parameters

  bus | - New value for the field. SATA bus number.

Code:
click to view
# Number of lines of code in set_bus: 5
sub set_bus {
my ($self, %args) = @_;
$self->{'bus'} = $args{'bus'};
return;
}

public method Com::Vmware::Vcenter::Vm::Hardware::Adapter::Sata::CreateSpec::set_pci_slot_number | ( |  | ) |

Sets the given value for 'pci_slot_number' property.

Parameters

  pci_slot_number | - New value for the field. Address of the SATA adapter on the PCI bus.

Code:
click to view
# Number of lines of code in set_pci_slot_number: 5
sub set_pci_slot_number {
my ($self, %args) = @_;
$self->{'pci_slot_number'} = $args{'pci_slot_number'};
return;
}

public method Com::Vmware::Vcenter::Vm::Hardware::Adapter::Sata::CreateSpec::set_type | ( |  | ) |

Sets the given value for 'type' property.

Parameters

  type | - New value for the field. Adapter type.

Code:
click to view
# Number of lines of code in set_type: 5
sub set_type {
my ($self, %args) = @_;
$self->{'type'} = $args{'type'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Vcenter/Vm/Hardware/Adapter/Sata.pm